记录湖北云计算中心日常工作关于系统运维,虚拟化云计算,数据库,网络安全等各方面问题。

针对PHP版本升级后出现PHP Warning: Illegal string offset错误的解决办法

新项目使用的是ECSHOP的程序,用的PHP版本比较高,导致错误一片,普通错误写法修改下就可以解决,

但针对PHP Warning: Illegal string offset,百度了几次都未解决, 最后添加一个判断解决问题,避开此错误  

if(is_array($arrVar)){

语句

}

本博客程序无故出现此问题,原始代码如下:

$keywords=trim($_POST['keywords']);

修改代码如下:

if(is_array($arrVar)){
$keywords=trim($_POST['keywords']);
}


分享到0

转载请标明出处【PHP版本升级后出现PHP Warning: Illegal string offset错误的解决办法】。

《www.92cto.com》 虚拟化云计算,系统运维,安全技术服务.

名字:

个人主页地址:

E-mail:

评论列表